public final class world{
    //constant
    int atomQty,
        maxAtom;
    float surfBounce = 0.60f;
    float surfFriction = 0.90f;
    vector boxPos = new vector(400,70),
           boxSize = new vector(340,470),
           gravity = new vector(0,200000);

    //var
    atom atomLst[];
    
    
    public world(int max)
    {
        atomQty = 0;
        maxAtom = max;
        atomLst = new atom[max];
    }
    
    public world(int max, vector pos, vector size)
    {
        atomQty = 0;
        maxAtom = max;
        atomLst = new atom[max];
        boxPos = pos;
        boxSize = size;
    }
    
    public world(world old)
    {
        atomQty = 0;
        maxAtom = old.maxAtom;
        surfBounce = old.surfBounce;
        surfFriction= old.surfFriction;
        boxPos = old.boxPos;
        boxSize = old.boxSize;
        gravity = old.gravity;
        atomLst = new atom[maxAtom];
    }
    
    public void append(atom nuatom)
    {
        if (atomQty < maxAtom)
            atomLst[atomQty++] = nuatom;
    }
};
